> ## Documentation Index
> Fetch the complete documentation index at: https://checkly-422f444a-docs-vercel-web-analytics.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List all dashboards

> Lists all current dashboards in your account.



## OpenAPI

````yaml get /v1/dashboards
openapi: 3.0.0
info:
  title: Checkly Public API
  version: v1
  description: >-
    These are the docs for the newly released Checkly Public API. If you have
    any questions, please do not hesitate to get in touch with us.
servers:
  - url: https://api.checklyhq.com
security:
  - Bearer: []
tags: []
paths:
  /v1/dashboards:
    get:
      tags:
        - Dashboards
      summary: List all dashboards
      description: Lists all current dashboards in your account.
      operationId: getV1Dashboards
      parameters:
        - schema:
            type: integer
            description: Limit the number of results
            default: 10
            minimum: 1
            maximum: 100
          required: false
          description: Limit the number of results
          name: limit
          in: query
        - schema:
            type: number
            minimum: 0
            exclusiveMinimum: true
            default: 1
            description: Page number
          required: false
          description: Page number
          name: page
          in: query
        - schema:
            type: string
            format: uuid
            description: >-
              Your Checkly account ID, you can find it at
              https://app.checklyhq.com/settings/account/general
          required: false
          description: >-
            Your Checkly account ID, you can find it at
            https://app.checklyhq.com/settings/account/general
          name: x-checkly-account
          in: header
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DashboardsList'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
components:
  schemas:
    DashboardsList:
      type: array
      items:
        $ref: '#/components/schemas/Dashboard'
    ApiError:
      type: object
      properties:
        statusCode:
          type: number
        error:
          type: string
        message:
          type: string
      required:
        - statusCode
        - error
        - message
    Dashboard:
      type: object
      properties:
        customUrl:
          type: string
          nullable: true
          description: >-
            A subdomain name under "checklyhq.com". Needs to be unique across
            all users.
        customDomain:
          type: string
          nullable: true
          description: >-
            A custom user domain, e.g. "status.example.com". See the docs on
            updating your DNS and SSL usage.
        logo:
          anyOf:
            - type: string
              format: uri
            - type: string
              enum:
                - ''
            - nullable: true
          description: A URL pointing to an image file.
        favicon:
          anyOf:
            - type: string
              format: uri
            - type: string
              enum:
                - ''
            - nullable: true
          description: A URL pointing to an image file used as dashboard favicon.
        link:
          anyOf:
            - type: string
              format: uri
            - type: string
              enum:
                - ''
            - nullable: true
          description: A URL link to redirect when dashboard logo is clicked on.
        header:
          type: string
          description: A piece of text displayed at the top of your dashboard.
        description:
          type: string
          nullable: true
          description: >-
            A piece of text displayed below the header or title of your
            dashboard.
        width:
          type: string
          enum:
            - FULL
            - 960PX
          default: FULL
          description: Determines whether to use the full screen or focus in the center.
        refreshRate:
          type: number
          default: 60
          description: How often to refresh the dashboard in seconds.
        paginate:
          type: boolean
          default: true
          description: Determines of pagination is on or off.
        paginationRate:
          type: number
          default: 60
          description: How often to trigger pagination in seconds.
        sortByStatus:
          type: boolean
          default: false
          description: Sort checks by status with failing checks first.
        checksPerPage:
          type: number
          nullable: true
          minimum: 1
          maximum: 20
          default: 15
          description: Number of checks displayed per page.
        useTagsAndOperator:
          type: boolean
          nullable: true
          default: false
          description: When to use AND operator for tags lookup.
        hideTags:
          type: boolean
          default: false
          description: Show or hide the tags on the dashboard.
        enableIncidents:
          type: boolean
          default: false
          description: Enable or disable incidents on the dashboard.
        expandChecks:
          type: boolean
          default: false
          description: Expand or collapse checks on the dashboard.
        tags:
          $ref: '#/components/schemas/DashboardTagList'
        showHeader:
          type: boolean
          default: true
          description: Show or hide header and description on the dashboard.
        showCheckRunLinks:
          type: boolean
          default: false
          description: Show or hide check run links on the dashboard.
        showGroupNames:
          type: boolean
          default: true
          description: Show or hide group names on the dashboard.
        customCSS:
          type: string
          nullable: true
          default: ''
          description: Custom CSS to be applied to the dashboard.
        isPrivate:
          type: boolean
          default: false
          description: Determines if the dashboard is public or private.
        showP95:
          type: boolean
          default: true
          description: Show or hide the P95 stats on the dashboard.
        showP99:
          type: boolean
          default: true
          description: Show or hide the P99 stats on the dashboard.
        keys:
          type: array
          items:
            $ref: '#/components/schemas/DashboardKey'
          default: []
          description: Show key for private dashboard.
        id:
          type: number
        dashboardId:
          type: string
          description: The dashboard ID.
        created_at:
          type: string
          format: date-time
      required:
        - id
        - dashboardId
        - created_at
    DashboardTagList:
      type: array
      items:
        type: string
      default: []
      description: >-
        A list of one or more tags that filter which checks to display on the
        dashboard.
    DashboardKey:
      type: object
      properties:
        id:
          type: string
          format: uuid
        rawKey:
          type: string
          description: The raw key value.
        maskedKey:
          type: string
          description: The masked key value.
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          nullable: true
          format: date-time
      required:
        - id
        - rawKey
        - maskedKey
        - created_at
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: Bearer
      description: >-
        The Checkly Public API uses API keys to authenticate requests. You can
        get the API Key
        [here](https://app.checklyhq.com/settings/user/api-keys). Your API key
        is like a password:  keep it secure!

        Authentication to the API is performed using the Bearer auth method in
        the Authorization header and using the account ID.

        For example, set **Authorization** header while using cURL: `curl -H
        "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"` 

````